import javax.swing.*;
import java.awt.event.*;

public class Grafica3Panel extends JPanel implements ActionListener{
	
	private JTextField t1, t2;
	private JButton b;
	private JCheckBox ck1, ck2;
	
	public Grafica3Panel()
	{
		t1 = new JTextField(25);
		t2 = new JTextField(25);
		t2.setEditable(false);
		ck1 = new JCheckBox("Lettere");
		ck2 = new JCheckBox("Numeri");
		b = new JButton("Seleziona");
		b.setEnabled(false);
		//il pannello  l'ascoltatore degli eventi scatenati dai suoi componenti
		ck1.addActionListener(this); 
		ck2.addActionListener(this); 
		b.addActionListener(this); 
		this.add(t1);
		this.add(t2);
		this.add(ck1);
		this.add(ck2);
		this.add(b);
	}

	public void actionPerformed(ActionEvent e)
	{
		//Evento scatenato dal bottone
		if(e.getActionCommand().equals("Seleziona"))
		{
			boolean let, num;
			let = ck1.isSelected();
			num = ck2.isSelected();
			String s1 = t1.getText();
			//Buffer temporaneo
			StringBuffer sb = new StringBuffer("");
			//Per ogni carattere della stringa s1 eseguo il controllo per la sostituzione
			for(int i = 0; i<s1.length(); i++)
			{
				// Devo verificare se  una lettera e la corrispondente checkBox  selezionata, oppure
				// se  un numero e la corrispondente checkBox  selezionata
				if((Character.isLetter(s1.charAt(i)) && let) || (Character.isDigit(s1.charAt(i)) && num))
					sb.append(s1.charAt(i));
			}
			t2.setText(sb.toString());
		}
			
		//Evento scatenato dal checkbox
		// serve per abilitare o meno il pulsante
		if(e.getActionCommand().equals("Lettere") || e.getActionCommand().equals("Numeri"))
		{
			// Se almeno uno dei 2 checkbox  selezionato
			if(ck1.isSelected() || ck2.isSelected())
				b.setEnabled(true);
			else
				b.setEnabled(false);
		}
	}
}